Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
strscanner Struct Reference

## Data Fields
unsigned long | flags
VALUE | str
long | prev
long | curr
struct re_registers | regs

## Detailed Description

Definition at line 26 of file strscan.c.

## Field Documentation

long strscanner::curr

Definition at line 37 of file strscan.c.

Referenced by adjust_registers_to_matched(), inspect1(), inspect2(), strscan_bol_p(), strscan_do_scan(), strscan_get_byte(), strscan_get_charpos(), strscan_get_pos(), strscan_getch(), strscan_init_copy(), strscan_inspect(), strscan_peek(), strscan_reset(), strscan_rest(), strscan_rest_size(), strscan_set_pos(), strscan_set_string(), strscan_terminate(), and strscan_unscan().

unsigned long strscanner::flags

Definition at line 29 of file strscan.c.

Referenced by strscan_init_copy().

long strscanner::prev

Definition at line 36 of file strscan.c.

Referenced by adjust_registers_to_matched(), strscan_aref(), strscan_do_scan(), strscan_get_byte(), strscan_getch(), strscan_init_copy(), strscan_matched(), strscan_post_match(), strscan_pre_match(), and strscan_unscan().

struct re_registers strscanner::regs

Definition at line 40 of file strscan.c.

Referenced by adjust_registers_to_matched(), strscan_aref(), strscan_do_scan(), strscan_free(), strscan_get_byte(), strscan_getch(), strscan_init_copy(), strscan_matched(), strscan_matched_size(), strscan_memsize(), strscan_post_match(), strscan_pre_match(), and strscan_s_allocate().

VALUE strscanner::str

Definition at line 33 of file strscan.c.

Referenced by infect(), str_new(), strscan_concat(), strscan_do_scan(), strscan_get_charpos(), strscan_get_string(), strscan_getch(), strscan_init_copy(), strscan_initialize(), strscan_inspect(), strscan_mark(), strscan_s_allocate(), and strscan_set_string().

The documentation for this struct was generated from the following file:

- ext/strscan/strscan.c